//
//  LSPDMutableDictionaryExtension.h
//  PluginDesigner
//
//  Created by Philippe H. Regenass on 06.04.07.
//  Copyright 2007 TREEINSPIRED.ch. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/*!
    @category		LSPDMutableDictionaryExtension
    @abstract		NSMutableDictionary (LSPDMutableDictionaryExtension)
    @discussion		Erweitert sämtliche NSMutableDictionary Objekte um Methoden welche in dieser Klass-Kategorie erhalten sind.
*/


@interface NSMutableDictionary (LSPDMutableDictionaryExtension)


/*!
    @abstract   - (void)removeObjectFromChilds:(id)theObject
    @discussion	Für den LSPDNibTreeController bez. den LSPDNibOutlineView gibt es zwei NSDictionary in welchem die aktuell angezeigten Zeilen gespeichert werden
				(Hack damit SubViews aus Nibs dargestellt werden können). Wenn ein Item gelöscht wird, muss dieses und dessen Childs gelöscht werden.
	@param		(id)theObject Item welches gelöscht werden soll aus dem NSDictionary bez. NSArray
*/
- (void)removeObjectFromChilds:(id)theObject;


@end
